services:
  scrabble:
    image: scrabble
    ports:
      - "8081:8080"
    networks:
      - reseauwordle

  wordle:
    image : registry.gitlab.com/zacademy-rennes-promo-05/zacawordlegroup:latest
    depends_on:
      - scrabble
    build: .
    ports:
      - "8080:8080"
    environment:
      - "WORDLE_SCRABBLE-API-URI=http://scrabble:8080/api"
    networks:
      - reseauwordle

  wordle2:
    image : registry.gitlab.com/zacademy-rennes-promo-05/zacawordlegroup:latest
    depends_on:
      - scrabble
    build: .
    ports:
      - "8082:8080"
    environment:
      - "WORDLE_SCRABBLE-API-URI=http://scrabble:8080/api"
    networks:
      - reseauwordle

networks:
  reseauwordle:
    driver: bridge
